Backgrounds API
Discover hosted ScreenFramed background packs, thumbnails, tags, and ready-to-use capture parameters.
GET
/v1/backgrounds
Returns gradient presets and hosted background assets that can be used in capture requests.
Query Parameters
limit
integer
optional
query
offset
integer
optional
query
group
string
optional
query
Comma-separated asset groups. Defaults to backgrounds, gradients, and css-backgrounds.
pack
string
optional
query
Comma-separated pack names.
type
string
optional
query
Comma-separated asset types.
theme
string
optional
query
q
string
optional
query
Search name, pack, and tags.
Responses
200
Background list
application/jsonpresets
object[]
REQUIRED
Array of:
id
string
name
string
type
string
Enum:
gradient_presetbackground_style
string
Enum:
gradientbackground_preset
string
Enum:
aurora, sunset, ocean, midnight, arctic, dusk, forest, ember, customcss
string
stops
object[]
Array of:
color
string
position
string
backgrounds
object[]
REQUIRED
Array of:
id
string
name
string
slug
string | null
type
string | null
subtype
string | null
group
string | null
pack
string | null
theme
string | null
format
string | null
tags
string[]
Array of:
background
string | null
image_url
string (uri) | null
thumbnail_url
string (uri) | null
config
unknown | null
screenframed_params
object | null
total
integer
REQUIRED
limit
integer
REQUIRED
offset
integer
REQUIRED
401
Error response
403
Error response
curl -X GET 'https://screenframed.com/v1/backgrounds' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://screenframed.com/v1/backgrounds', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://screenframed.com/v1/backgrounds', headers=headers)print(response.json())
200
Response
{ "presets": [ { "id": "<string>", "name": "<string>", "type": "gradient_preset", "background_style": "gradient", "background_preset": "aurora", "css": "<string>", "stops": [ { "color": "<string>", "position": "<string>" } ] } ], "backgrounds": [ { "id": "<string>", "name": "<string>", "slug": "<string>", "type": "<string>", "subtype": "<string>", "group": "<string>", "pack": "<string>", "theme": "<string>", "format": "<string>", "tags": [ "<string>" ], "background": "<string>", "image_url": "<uri>", "thumbnail_url": "<uri>", "config": "<unknown>", "screenframed_params": "<object>" } ], "total": 123, "limit": 123, "offset": 123}
API Playground
Try this endpoint
GET
/v1/backgrounds